/* 
    PROYECTO: Alessa - RAPADO (Remodelación A Profundidad de Alessa Dominio Online)
    ARCHIVO: base.css
    DESCRIPCIÓN: Variables globales, reset de estilos y tipografía base.
*/

:root {
    /* Paleta de Colores Alessa */
    --color-primario: #1e6274;    /* Azul Alessa (anterior rgba 38, 152, 180) */
    --color-secundario: #154c8a;  /* Azul oscuro (del nav) */
    --color-acento: #7067bb;      /* Morado suave (botones) */
    --color-texto-dark: #333333;
    --color-texto-light: #616161;
    --color-bg-light: #f2f2f2;
    --color-blanco: #ffffff;
    
    /* Tipografía */
    --font-main: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--font-main);
    min-height: 100vh;
    max-width: 100%;
    margin: 0 auto;
    line-height: 1.6;
    color: var(--color-texto-dark);
}

/* Utilidades Globales */
.contenedor {
    padding: 60px 0;
    width: 90%;
    max-width: 1000px;
    margin: auto;
    overflow: hidden;
}

.titulo {
    color: var(--color-primario);
    font-size: 55px;
    text-align: center;
    margin-bottom: 60px;
    font-weight: 400;
}

a {
    text-decoration: none;
    transition: 0.3s ease;
}

ul {
    list-style: none;
}